#!/bin/bash

tag=2.1.11

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)

pushd "$tmp"
git clone git://github.com/jrburke/r.js.git
cd r.js
git archive --prefix="tests/" --format=tar tags/${tag}:tests/ \
    | bzip2 > "$pwd"/tests-${tag}.tar.bz2
git archive --prefix="build/" --format=tar tags/${tag}:build/ \
    | bzip2 > "$pwd"/build-${tag}.tar.bz2
popd
